import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter_test_bhargav/screens/invitation_form.dart';
import 'package:flutter_test_bhargav/utils/string_utils.dart';
import 'package:flutter_test_bhargav/widgets/widgets_importer.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
        debugShowCheckedModeBanner: false,
        title: StringUtils.APP_NAME,
        home: SafeArea(child: WelComeScreen()));
  }
}

class WelComeScreen extends StatefulWidget {
  @override
  _WelcomScreenState createState() => _WelcomScreenState();
}

class _WelcomScreenState extends State<WelComeScreen> {
  @override
  Widget build(BuildContext context) {
    return Material(
      child: Center(
        child: InkWell(
          onTap: () {
            Navigator.push(
              context,
              MaterialPageRoute(builder: (context) => InvitationForm()),
            );
          },
          child: Container(
            margin: EdgeInsets.all(30.0),
            height: 50,
            width: double.infinity,
            color: Colors.lightBlueAccent,
            child: Center(
              child: AddText(StringUtils.INVITE_FRIENDS, Colors.white, 15.0,
                  FontWeight.bold, false),
            ),
          ),
        ),
      ),
    );
  }
}
