class StringUtils {
  // Images
  static const String BASE_IMAGE = 'assets/images/';
  static const String IC_LOGO = BASE_IMAGE + 'ic_logo.png';

  // Api Constants
  static String _TOKEN_VALUE = '';

  static String getToken() => _TOKEN_VALUE;

  static void setToken(String value) {
    _TOKEN_VALUE = value;
  }

  static const String APP_ID = '15539901308027672219';
  static const String APP_SECRET = '5ca001f255007786922623';
  static const String API_BASE_URL = 'https://shareapps.net/api/app/';
  static const String API_REGISTRATION = API_BASE_URL + 'register';
  static const String API_TEST_EMAIL = API_BASE_URL + 'test-email';
  static const String API_TEST_SMS = API_BASE_URL + 'test-sms';
  static const String LEARN_MORE_URL = 'https://shareapps.net/how-it-works';
  static const String INVITE_CONTACT = API_BASE_URL + 'transfer';
  static const String BEGIN_TRANSFER = API_BASE_URL + 'begin-transfer';
  static const String END_TRANSFER = API_BASE_URL + 'close-transfer';
  static const String COMPLETE_INVITATION_LEARN_MORE_URL = 'https://shareapps.net/how-to-promote-mobile-apps';

  // parameters
  static const String CONTACTS = 'contacts';
  static const String TRANSACTION_ID = 'transaction_id';
  static const String TRANSFER_ID = 'transfer_id';
  static const String TOKEN = 'token';
  static const String OS = 'os';
  static const String OS_VALUE = '1';
  static const String DEVICE_ID = 'device_id';
  static const String COUNTRY_ID = 'country_id';
  static const String PHONE_NUMBER_PARAM = 'phone_number';
  static const String TEMPLATE_ID = 'template_id';
  static const String TEMPLATE_ID_VALUE = '2';
  static const String EMAIL_PARAM = 'email';
  static const String MESSAGE = 'message';
  static const String STATUS = 'status';
  static const String SUCCESS = 'success';

  // Strings
  static const String APP_NAME = 'Share Apps';
  static const String INVITE_FRIENDS = 'Invite Friends';
  static const String FIRST_NAME = 'First Name';
  static const String LAST_NAME = 'Last Name';
  static const String EMAIL = 'Email Address';
  static const String COUNTRY = 'Country';
  static const String PHONE_NUMBER = 'Phone Number';
  static const String LANGUAGE = 'Language';
  static const String ENTER = 'Enter';
  static const String SELECT = 'Select';
  static const String PROCEED = 'Proceed';
  static const String EXIT = 'Exit';
  static const String CHECK_NETWORK = 'Check Network';
  static const String THANK_YOU = 'Thank You!';
  static const String INVITATION_COMPLETE = 'invitation complete';
  static const String REGISTRATION_WAIT_MESSAGE =
      'Please wait.\nApp registration in progress.';
  static const String INVITE_CONTACT_MESSAGE =
      'Please wait. Inviting friends.\nA lots of contacts. This will take a while';
  static const String EMAIL_FRIENDS = 'Email Friends';
  static const String PHONE_BOOK_FRIENDS = 'Phonebook Friends';
  static const String THANKS_FOR_INSTALLING =
      'Thanks for installing this application.';
  static const String WELCOME_SHAREAPP = ' Welcome to ShareApps';
  static const String INVITE_FRIENDS_ = 'Invite a Friend?';
  static const String SAMPLE_SMS_INVITE = 'Sample sms invite';
  static const String SAMPLE_EMAIL_INVITE = 'Sample email invite';
  static const String TERMS_AND_CONDITION = 'Terms and conditions apply.';
  static const String LEARN_MORE = 'Learn more';
  static const String CANCLE = 'cancle';
  static const String SELECT_ALL = 'Select All';
  static const String PROCEED_ = 'Proceed>';

  static var language_list = <String>[
    'Select Language',
    'ENGLISH',
    'Arabic',
    'Mandarin - Chinese',
    'Czech	',
    'Danish	',
    'Dutch	',
    'Filipino	',
    'Finnish	',
    'French	',
    'German	',
    'Greek	',
    'Hindi	',
    'Hungarian	',
    'Indonesian	',
    'Italian	Japan	',
    'Kazakh	',
    'Korea	',
    'Kurdish	',
    'Latin	',
    'Latvia	',
    'Lithuania	',
    'Luxembourgish	',
    'Malay	',
    'Persian',
    'Polish',
    'Portuguese	',
    'Punjabi	Romanian',
    'Russian	',
    'Serbian	',
    'Slovak	',
    'Slovenian	',
    'Spanish	',
    'Swahili	',
    'Swedish	',
    'Tamil	',
    'Thai	',
    'Turkish	',
    'Ukrainian	',
    'Vietnamese',
    'Welsh',
  ];

  static var country_list = <String>[
    'Select Country',
    'Afghanistan',
    'Akrotiri',
    'Albania',
    'Algeria',
    'American Samoa',
    'Andorra',
    'Angola',
    'Anguilla',
    'Antarctica',
    'Antigua and Barbuda',
    'Argentina',
    'Armenia',
    'Aruba',
    'Ashmore and Cartier Islands',
    'Australia',
    'Austria',
    'Azerbaijan',
    'Bahamas, The',
    'Bahrain',
    'Bangladesh',
    'Barbados',
    'Bassas da India',
    'Belarus',
    'Belgium',
    'Belize',
    'Benin',
    'Bermuda',
    'Bhutan',
    'Bolivia',
    'Bosnia and Herzegovina',
    'Botswana',
    'Bouvet Island',
    'Brazil',
    'British Indian Ocean Territory',
    'British Virgin Islands',
    'Brunei',
    'Bulgaria',
    'Burkina Faso',
    'Burma',
    'Burundi',
    'Cambodia',
    'Cameroon',
    'Canada',
    'Cape Verde',
    'Cayman Islands',
    'Central African Republic',
    'Chad',
    'Chile',
    'China',
    'Christmas Island',
    'Clipperton Island',
    'Cocos (Keeling) Islands',
    'Colombia',
    'Comoros',
    'Congo, Democratic Republic of the',
    'Congo, Republic of the',
    'Cook Islands',
    'Coral Sea Islands',
    'Costa Rica',
    'Ivory Coast',
    'Croatia',
    'Cuba',
    'Cyprus',
    'Czech Republic',
    'Denmark',
    'Dhekelia',
    'Djibouti',
    'Dominica',
    'Dominican Republic',
    'Ecuador',
    'Egypt',
    'El Salvador',
    'Equatorial Guinea',
    'Eritrea',
    'Estonia',
    'Ethiopia',
    'Europa Island',
    'Falkland Islands (Islas Malvinas)',
    'Faroe Islands',
    'Fiji',
    'Finland',
    'France',
    'French Guiana',
    'French Polynesia',
    'French Southern and Antarctic Lands',
    'Gabon',
    'Gambia, The',
    'Gaza Strip',
    'Georgia',
    'Germany',
    'Ghana',
    'Gibraltar',
    'Glorioso Islands',
    'Greece',
    'Greenland',
    'Grenada',
    'Guadeloupe',
    'Guam',
    'Guatemala',
    'Guernsey',
    'Guinea',
    'Guinea-Bissau',
    'Guyana',
    'Haiti',
    'Heard Island and McDonald Islands',
    'Holy See (Vatican City)',
    'Honduras',
    'Hong Kong',
    'Hungary',
    'Iceland',
    'India',
    'Indonesia',
    'Iran',
    'Iraq',
    'Ireland',
    'Isle of Man',
    'Israel',
    'Italy',
    'Jamaica',
    'Jan Mayen',
    'Japan',
    'Jersey',
    'Jordan',
    'Juan de Nova Island',
    'Kazakhstan',
    'Kenya',
    'Kiribati',
    'Korea, North',
    'Korea, South',
    'Kuwait',
    'Kyrgyzstan',
    'Laos',
    'Latvia',
    'Lebanon',
    'Lesotho',
    'Liberia',
    'Libya',
    'Liechtenstein',
    'Lithuania',
    'Luxembourg',
    'Macau',
    'Macedonia',
    'Madagascar',
    'Malawi',
    'Malaysia',
    'Maldives',
    'Mali',
    'Malta',
    'Marshall Islands',
    'Martinique',
    'Mauritania',
    'Mauritius',
    'Mayotte',
    'Mexico',
    'Micronesia, Federated States of',
    'Moldova',
    'Monaco',
    'Mongolia',
    'Montserrat',
    'Morocco',
    'Mozambique',
    'Namibia',
    'Nauru',
    'Navassa Island',
    'Nepal',
    'Netherlands',
    'Netherlands Antilles',
    'New Caledonia',
    'New Zealand',
    'Nicaragua',
    'Niger',
    'Nigeria',
    'Niue',
    'Norfolk Island',
    'Northern Mariana Islands',
    'Norway',
    'Oman',
    'Pakistan',
    'Palau',
    'Panama',
    'Papua New Guinea',
    'Paracel Islands',
    'Paraguay',
    'Peru',
    'Philippines',
    'Pitcairn Islands',
    'Poland',
    'Portugal',
    'Puerto Rico',
    'Qatar',
    'Reunion',
    'Romania',
    'Russia',
    'Rwanda',
    'Saint Helena',
    'Saint Kitts and Nevis',
    'Saint Lucia',
    'Saint Pierre and Miquelon',
    'Saint Vincent and the Grenadines',
    'Samoa',
    'San Marino',
    'Sao Tome and Principe',
    'Saudi Arabia',
    'Senegal',
    'Serbia',
    'Seychelles',
    'Sierra Leone',
    'Singapore',
    'Slovakia',
    'Slovenia',
    'Solomon Islands',
    'Somalia',
    'South Africa',
    'South Georgia and the South Sandwich Isl',
    'Spain',
    'Spratly Islands',
    'Sri Lanka',
    'Sudan',
    'Suriname',
    'Svalbard',
    'Swaziland',
    'Sweden',
    'Switzerland',
    'Syria',
    'Taiwan',
    'Tajikistan',
    'Tanzania',
    'Thailand',
    'Timor-Leste',
    'Togo',
    'Tokelau',
    'Tonga',
    'Trinidad and Tobago',
    'Tromelin Island',
    'Tunisia',
    'Turkey',
    'Turkmenistan',
    'Turks and Caicos Islands',
    'Tuvalu',
    'Uganda',
    'Ukraine',
    'United Arab Emirates',
    'United Kingdom',
    'United States',
    'Uruguay',
    'Uzbekistan',
    'Vanuatu',
    'Venezuela',
    'Vietnam',
    'Virgin Islands',
    'Wake Island',
    'Wallis and Futuna',
    'West Bank',
    'Western Sahara',
    'Yemen',
    'Zambia',
    'Zimbabwe',
    'Curacao',
    'Palestine',
    'Montenegro',
    'Myanmar',
  ];

  static Map<String, String> GetApiHeaders() {
    return {
      "Auth-id": StringUtils.APP_ID,
      "Auth-secret": StringUtils.APP_SECRET,
      'Content-type': 'application/json',
      'Accept': 'application/json',
    };
  }
}
